## printrun 0~20150310

=== requirements.txt ===
argparse
pyreadline
pyserial
wxPython
numpy
pyglet>=1.1
pycairo
cairosvg
psutil>=2.0

=== debian/changelog ===
printrun (0~20150310-5) unstable; urgency=low

  * Remove generic MIME types. (Closes: #850698)

 -- Rock Storm <rockstorm@gmx.com>  Thu, 12 Jan 2017 17:11:40 +0100

printrun (0~20150310-4) unstable; urgency=low

  * Enable the optimized gcode parser.
  * Add missing dependencies and remove unnecessary ones.

 -- Rock Storm <rockstorm@gmx.com>  Sun, 18 Dec 2016 11:31:28 +0100

printrun (0~20150310-3) unstable; urgency=low

  * Update standards version. Adapt menu files to Free Desktop style.
  * Fix main script's options parsing

 -- Rock Storm <rockstorm@gmx.com>  Sat, 09 Jul 2016 18:30:11 +0200

printrun (0~20150310-2) unstable; urgency=low

  * Fix patches coding style to match upstream's and update headers to
    comply with DEP-3 tagging guidelines
  * Update standards version
  * Change maintainer and VCS

 -- Rock Storm <rockstorm@gmx.com>  Sat, 19 Mar 2016 10:49:23 +0100

printrun (0~20150310-1) unstable; urgency=low

  * Initial packaging for Debian (Closes: #695336, #718956)
  * Inhibited gcoder-line installation.

 -- Rock Storm <rockstorm@gmx.com>  Thu, 03 Mar 2016 18:32:36 +0100

=== debian/control ===
Source: printrun
Section: misc
Priority: optional
Maintainer: Debian 3D-Printer Packaging Team <3dprinter-general@lists.alioth.debian.org>
Uploaders: Rock Storm <rockstorm@gmx.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               libpython-dev,
               cython
Standards-Version: 3.9.8
Homepage: http://www.pronterface.com
Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/printrun.git
Vcs-Browser: https://anonscm.debian.org/git/3dprinter/packages/printrun.git

Package: printrun
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python (>= 2.7),
         python-serial,
         python-pyglet,
         python-wxgtk3.0,
         python-dbus,
         python-psutil,
         python-numpy,
         python-libxml2,
         python-gobject,
         python-cairosvg
Suggests: slic3r
Description: 3D printing host suite
 Printrun is a full suite of host interfaces for 3D printers and CNC,
 consisting of:
  * printcore, a standalone non-interactive G-Code sender
  * pronsole, an interactive command-line host
  * pronterface, a graphical host software with the same functionality as
    pronsole
 .
 Together with skeinforge or Slic3r they form a powerful 3d printing
 toolchain.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# main packaging script based on dh7 syntax
%:
	dh $@ --with python2 --buildsystem=pybuild

# dh_make generated override targets
override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	mv debian/printrun/usr/bin/printcore.py debian/printrun/usr/bin/printcore
	mv debian/printrun/usr/bin/pronterface.py debian/printrun/usr/bin/pronterface
	mv debian/printrun/usr/bin/pronsole.py debian/printrun/usr/bin/pronsole
	mv debian/printrun/usr/bin/plater.py debian/printrun/usr/bin/plater

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/printrun-(\d\S*)\.tar\.gz/printrun-0~$1\.tar\.gz/\
,dversionmangle=s/0~// \
  https://github.com/kliment/Printrun/releases .*/printrun-(\d\S*)\.tar\.gz

## printrun 1.6.0

=== requirements.txt ===
python (>= 2.7, << 3)
pyreadline
pyserial (>= 2.6)
wxPython (>= 2.8, << 4.0)
numpy (>= 1.8.2)
pyglet (>= 1.1)
pycairo (>= 1.8.8)
cairosvg (>= 1.0.9)
psutil (>= 2.1)
dbus-python (>= 1.2.0)
pygobject (>= 3.14.0)
libxml2 (>= 2.9.1)

=== debian/changelog ===
printrun (1.6.0-2) unstable; urgency=low

  * [fe32842] d/control: Update VCS URLs
  * [3bb95cd] d/control: Replace python-gobject with python-gi
    (Closes: #890164)
  * [6fe56cb] Raise debhelper compatibility to 12
  * [8ba8faf] d/p/2005: Fix spelling
  * [86c8929] d/copyright: Add license of appdata files
  * [472dbe8] Add an upstream metadata file
  * [0813fba] Bump up Standards-Version to 4.3.0. No changes
  * [d5fc089] Remove menu files, conflict with desktop files.
  * [65467fb] Add simple import ci tests

 -- Rock Storm <rockstorm@gmx.com>  Thu, 31 Jan 2019 17:12:38 +0000

printrun (1.6.0-1) unstable; urgency=low

  * [d3f1fe1] Add a gbp.conf file
  * [2ca7de5] Bump up Standards-Version to 4.1.1.
     - d/copyright: Switch from HTTP to HTTPS the copyright-format URL
  * [e8f2026] d/gbp.conf: Add a section for dch
  * [7fa91ac] d/watch: Adapt to new upstream's version scheme
  * [1c43a8d] New upstream version 1.6.0
  * [9b63b9e] Ignore quilt dir .pc via .gitignore
  * [d2031d0] d/patches: Remove patches applied upstream
  * [bb68927] d/patches: Adapt and merge patches 2001 and 2002.
  * [5d5ce1b] d/rules: Make NEWS.md the upstream changelog
  * [eec1662] d/rules: Delete empty Arabic translation folder

 -- Rock Storm <rockstorm@gmx.com>  Sun, 26 Nov 2017 11:51:55 +0100

printrun (0~20150310-6) unstable; urgency=low

  * Set Slic3r as the default slicer program. (Closes: #862795)
  * Fix appstream files' metadata and location.
  * Add STL models and G-Code files as mime-types for pronterface.

 -- Rock Storm <rockstorm@gmx.com>  Sun, 08 Oct 2017 19:56:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian 3D-Printer Packaging Team <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Rock Storm <rockstorm@gmx.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python,
                libpython-dev,
                cython
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Homepage: http://www.pronterface.com
-Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/printrun.git
-Vcs-Browser: https://anonscm.debian.org/git/3dprinter/packages/printrun.git
+Vcs-Git: https://salsa.debian.org/3dprinting-team/printrun.git
+Vcs-Browser: https://salsa.debian.org/3dprinting-team/printrun
 
 Package: printrun
 Architecture: any
@@ -26,7 +26,7 @@
          python-psutil,
          python-numpy,
          python-libxml2,
-         python-gobject,
+         python-gi,
          python-cairosvg
 Suggests: slic3r
 Description: 3D printing host suite
@@ -37,5 +37,4 @@
   * pronterface, a graphical host software with the same functionality as
     pronsole
  .
- Together with skeinforge or Slic3r they form a powerful 3d printing
- toolchain.
+ Together with Slic3r they form a powerful 3d printing toolchain.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
# Rename main binaries
	mv debian/printrun/usr/bin/printcore.py debian/printrun/usr/bin/printcore
	mv debian/printrun/usr/bin/pronterface.py debian/printrun/usr/bin/pronterface
	mv debian/printrun/usr/bin/pronsole.py debian/printrun/usr/bin/pronsole
	mv debian/printrun/usr/bin/plater.py debian/printrun/usr/bin/plater
# Delete the ar translation folder
	rm -rf debian/printrun/usr/share/pronterface/locale/ar

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="uversionmangle=s%(\d{8})%0~$1%" \
    https://github.com/kliment/Printrun/releases \
    .*/printrun-@ANY_VERSION@\.tar\.gz debian

## printrun 2.0.0~rc5

=== requirements.txt ===
# python (>= 3.6)
pyserial >= 2.7
wxPython (>= 4.0)
numpy (>= 1.8.2)
pyglet (>= 1.1)
cffi
cairocffi
cairosvg (>= 1.0.9)
psutil (>= 2.1)
lxml (>= 2.9.1)
appdirs (>= 1.4.0)
dbus-python >= 1.2.0 ; sys_platform == 'linux'
pyobjc-framework-Cocoa ; sys_platform == 'darwin'
pyreadline ; sys_platform == 'win32'

=== debian/changelog ===
printrun (2.0.0~rc5-1ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:55:08 +0000

printrun (2.0.0~rc5-1ubuntu1) eoan; urgency=medium

  * Force removal of .so files so we don't fail on arch:any

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Sep 2019 14:31:32 +0200

printrun (2.0.0~rc5-1) unstable; urgency=low

  * [662bb8f] New upstream version 2.0.0~rc5
    - Switches to Python 3 and wxPython 4.
  * [525620d] d/control: Split into four smaller packages: printcore,
    pronsole, pronterface and plater.
    - For upgrades, metapackage printrun depend on the four smaller packages.
  * [81f2be8] d/watch: Add parsing of 'rc' releases
  * [08e2a94] d/gbp.conf: Remove dch settings
  * [f92d905] d/p/1001: Remove patch implemented upstream
  * [55aa9ce] Ignore .pc via .gitignore
  * [28affa7] d/rules: Set new install paths
  * [a097b61] d/p/2005: Update to new upstream
  * [0b55b70] d/docs: Rearrange items
  * [00924a2] d/README.source: Add update information
  * [3d95790] Bump up Standards-Version to 4.4.0. No changes

 -- Rock Storm <rockstorm@gmx.com>  Fri, 16 Aug 2019 18:24:46 +0100

=== debian/control ===
Source: printrun
Section: misc
Priority: optional
Maintainer: Debian 3D-Printer Packaging Team <3dprinter-general@lists.alioth.debian.org>
Uploaders: Rock Storm <rockstorm@gmx.com>,
Build-Depends: cython3,
               debhelper-compat (= 12),
               dh-python,
               libpython3-dev,
               python3,
               python3-setuptools,
Standards-Version: 4.4.0
Homepage: http://www.pronterface.com
Vcs-Git: https://salsa.debian.org/3dprinting-team/printrun.git
Vcs-Browser: https://salsa.debian.org/3dprinting-team/printrun

Package: printrun-common
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: 3D printer host suite common files
 Printrun is a full suite of host interfaces for 3D printers and CNC,
 consisting of:
  * printcore, a standalone non-interactive G-Code sender
  * pronsole, an interactive command-line host
  * pronterface, a graphical host software with the same functionality as
    pronsole
 .
 Together with Slic3r they form a powerful 3d printing toolchain.
 .
 This package contains all common and architecture-independent files for all
 suite components.

Package: printcore
Architecture: any
Depends: printrun-common (= ${source:Version}),
         python3-dbus,
         python3-psutil,
         python3-serial,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: 3D printer host core commands
 Printrun is a full suite of host interfaces for 3D printers and CNC,
 consisting of:
  * printcore, a standalone non-interactive G-Code sender
  * pronsole, an interactive command-line host
  * pronterface, a graphical host software with the same functionality as
    pronsole
 .
 Together with Slic3r they form a powerful 3d printing toolchain.
 .
 This package contains printcore, the G-Code sender.

Package: pronsole
Architecture: all
Depends: printcore (>= ${source:Version}),
         printrun-common (= ${source:Version}),
         python3-appdirs,
         ${misc:Depends},
         ${python3:Depends},
Recommends: slic3r,
Description: Command-line 3D printer host
 Printrun is a full suite of host interfaces for 3D printers and CNC,
 consisting of:
  * printcore, a standalone non-interactive G-Code sender
  * pronsole, an interactive command-line host
  * pronterface, a graphical host software with the same functionality as
    pronsole
 .
 Together with Slic3r they form a powerful 3d printing toolchain.
 .
 This package contains scripts and metadata for pronsole, a command-line 3D
 printer host.

Package: pronterface
Architecture: all
Depends: pronsole (= ${source:Version}),
         python3-cairosvg,
         python3-gi,
         python3-libxml2,
         python3-numpy,
         python3-pyglet,
         python3-wxgtk4.0,
         ${misc:Depends},
         ${python3:Depends},
Recommends: slic3r,
Description: Graphical 3D printer host
 Printrun is a full suite of host interfaces for 3D printers and CNC,
 consisting of:
  * printcore, a standalone non-interactive G-Code sender
  * pronsole, an interactive command-line host
  * pronterface, a graphical host software with the same functionality as
    pronsole
 .
 Together with Slic3r they form a powerful 3d printing toolchain.
 .
 This package contains scripts and metadata for pronterface, a graphical 3D
 printer host.

Package: plater
Architecture: all
Depends: printcore (>= ${source:Version}),
         printrun-common (= ${source:Version}),
         python3-numpy,
         python3-pyglet,
         python3-wxgtk4.0,
         ${misc:Depends},
         ${python3:Depends},
Description: Graphical tool to prepare 3D printing plates
 Printrun is a full suite of host interfaces for 3D printers and CNC,
 consisting of:
  * printcore, a standalone non-interactive G-Code sender
  * pronsole, an interactive command-line host
  * pronterface, a graphical host software with the same functionality as
    pronsole
 .
 Together with Slic3r they form a powerful 3d printing toolchain.
 .
 This package contains scripts and metadata for plater, a graphical tool to
 set-up STL files onto the printing plate.

Package: printrun
Architecture: all
Section: metapackages
Depends: plater,
         printcore,
         pronsole,
         pronterface,
         ${misc:Depends},
Description: 3D printer hosts suite
 Printrun is a full suite of host interfaces for 3D printers and CNC,
 consisting of:
  * printcore, a standalone non-interactive G-Code sender
  * pronsole, an interactive command-line host
  * pronterface, a graphical host software with the same functionality as
    pronsole
 .
 Together with Slic3r they form a powerful 3d printing toolchain.
 .
 This metapackage pulls all Printrun suite components.

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="uversionmangle=s%(\d{8})%0~$1%; s%rc%~rc%" \
    https://github.com/kliment/Printrun/releases \
    .*/printrun-@ANY_VERSION@\.tar\.gz debian

## printrun 2.0.0~rc7

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
-# python (>= 3.6)
-pyserial >= 2.7
-wxPython (>= 4.0)
+pyserial (>= 3.0)
+wxPython (>= 4.1)
 numpy (>= 1.8.2)
 pyglet (>= 1.1)
 cffi

=== debian/changelog ===
printrun (2.0.0~rc7-1ubuntu0.1) jammy; urgency=medium

  * Apply upstream patch to fix TypeError on Python 3.10+. (LP: #1975947)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 17 Dec 2023 22:55:15 +0000

printrun (2.0.0~rc7-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:16:28 +0000

printrun (2.0.0~rc7-1) unstable; urgency=low

  [ Christoph Berg ]
  * Sync maintainer name with the rest of the 3-D printing team.
  * Use standard salsa-ci.yml pipeline.

  [ Rock Storm ]
  * [b67e6d0] New upstream version 2.0.0~rc6
  * [2a940ad] d/patches: Update patches to fit new upstream
  * [b7bd56f] Fix same file installed by plater and pronterface
     - 'plater.mo' was installed by both 'plater' and 'pronterface' packages.
  * [f0248af] d/copyright: Reorganise and update to latest code
    (Closes: #939658)
  * [0b72586] d/control: Bump up debhelper and Standards-Version.
     - No further changes required.
  * [83665b7] d/u/metadata: Add URL for issues
  * [cde8d54] d/copyright: Re-add appdata files
  * [75f8bfa] New upstream version 2.0.0~rc7
  * [307758a] d/patches: Updated to fit new upstream code
  * [8e192b0] d/*.install: Update to latest upstream arrangement
  * [69b4d9f] Bump up Standards-Version to 4.5.1.
     - Added verbatim copy of project's copyright notice in d/copyright.

 -- Rock Storm <rockstorm@gmx.com>  Sun, 13 Dec 2020 18:38:15 +0000

printrun (2.0.0~rc5-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Sven Bartscher ]
  * Add breaks+replaces on printrun (<< 2)
    (Closes: #940215)

  [ Boyuan Yang ]
  * debian/rules: Force removal of .so files so we don't fail on arch:any
    (Closes: #956842)
  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Wed, 22 Apr 2020 11:38:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: printrun
 Section: misc
 Priority: optional
-Maintainer: Debian 3D-Printer Packaging Team <3dprinter-general@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Rock Storm <rockstorm@gmx.com>,
 Build-Depends: cython3,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                libpython3-dev,
                python3,
                python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: http://www.pronterface.com
 Vcs-Git: https://salsa.debian.org/3dprinting-team/printrun.git
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/printrun
@@ -40,6 +41,8 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
+Breaks: printrun (<< 2)
+Replaces: printrun (<< 2)
 Description: 3D printer host core commands
  Printrun is a full suite of host interfaces for 3D printers and CNC,
  consisting of:
@@ -60,6 +63,8 @@
          ${misc:Depends},
          ${python3:Depends},
 Recommends: slic3r,
+Breaks: printrun (<< 2)
+Replaces: printrun (<< 2)
 Description: Command-line 3D printer host
  Printrun is a full suite of host interfaces for 3D printers and CNC,
  consisting of:
@@ -85,6 +90,8 @@
          ${misc:Depends},
          ${python3:Depends},
 Recommends: slic3r,
+Breaks: printrun (<< 2)
+Replaces: printrun (<< 2)
 Description: Graphical 3D printer host
  Printrun is a full suite of host interfaces for 3D printers and CNC,
  consisting of:
@@ -107,6 +114,8 @@
          python3-wxgtk4.0,
          ${misc:Depends},
          ${python3:Depends},
+Breaks: printrun (<< 2)
+Replaces: printrun (<< 2)
 Description: Graphical tool to prepare 3D printing plates
  Printrun is a full suite of host interfaces for 3D printers and CNC,
  consisting of:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
# Rename main binaries
	mv debian/tmp/usr/bin/printcore.py debian/tmp/usr/bin/printcore
	mv debian/tmp/usr/bin/pronterface.py debian/tmp/usr/bin/pronterface
	mv debian/tmp/usr/bin/pronsole.py debian/tmp/usr/bin/pronsole
	mv debian/tmp/usr/bin/plater.py debian/tmp/usr/bin/plater
# Delete empty ar translation folder
	rm -rf debian/tmp/usr/share/pronterface/locale/ar

override_dh_install:
	dh_install --exclude='.pyc'
# Move arch-dependent library from printrun-common
	rm -f debian/printrun-common/usr/lib/python*/dist-packages/printrun/*.so

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

override_dh_auto_test:
	#dh_auto_test is ignored

## printrun 2.0.0~rc8

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 pyserial (>= 3.0)
-wxPython (>= 4.1)
+wxPython (== 4.1.0)
 numpy (>= 1.8.2)
 pyglet (>= 1.1)
 cffi

=== debian/changelog ===
printrun (2.0.0~rc8-2) unstable; urgency=low

  * [608965b] d/p/0003: Fix TypeError on Python 3.10+
    (Closes: #1010400)

 -- Rock Storm <rockstorm@gmx.com>  Sat, 30 Apr 2022 18:32:34 +0100

printrun (2.0.0~rc8-1) unstable; urgency=low

  [ Jenkins ]
  * [3bb0c61] Use secure URI in Homepage field.
  * [6514523] Set upstream metadata fields: Bug-Database, Repository.

  [ Rock Storm ]
  * [6202654] New upstream version 2.0.0~rc8
  * [6a9283c] Bump up Standards-Version to 4.6.0. No changes
  * [5543f95] d/control: add rules-requires-root field
  * [f520661] d/copyright: Update year coverage for Debian files

 -- Rock Storm <rockstorm@gmx.com>  Sat, 19 Feb 2022 20:56:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: printrun
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
+Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Rock Storm <rockstorm@gmx.com>,
 Build-Depends: cython3,
                debhelper-compat (= 13),
@@ -10,10 +9,11 @@
                libpython3-dev,
                python3,
                python3-setuptools,
-Standards-Version: 4.5.1
-Homepage: http://www.pronterface.com
+Standards-Version: 4.6.0
+Homepage: https://www.pronterface.com
 Vcs-Git: https://salsa.debian.org/3dprinting-team/printrun.git
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/printrun
+Rules-Requires-Root: no
 
 Package: printrun-common
 Architecture: all

## printrun 2.0.1

=== requirements.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 pyserial (>= 3.0)
-wxPython (== 4.1.0)
+wxPython >= 4.2.0
 numpy (>= 1.8.2)
-pyglet (>= 1.1)
+pyglet >= 1.1, < 2.0
 cffi
 cairocffi
-cairosvg (>= 1.0.9)
+cairosvg >= 1.0.9, < 2.6.0
 psutil (>= 2.1)
 lxml (>= 2.9.1)
 appdirs (>= 1.4.0)

=== debian/changelog ===
printrun (2.0.1-1) unstable; urgency=low

  [ Rock Storm ]
  * [1a88f58] d/watch: Use GitHub tags page instead of releases
  * [fced483] New upstream version 2.0.0
  * [bc60a0d] d/p/0003: Drop patch already applied upstream
  * [72dcc50] d/rules: Generate .mo files before build
  * [e09f655] d/copyright: Update years
  * [79b678e] New upstream version 2.0.1
  * [4b54e7d] Bump up Standards-Version to 4.6.2. No changes

  [ Christoph Berg ]
  * Remove *.mo and egg-info on clean.

 -- Rock Storm <rockstorm@gmx.com>  Sun, 02 Jul 2023 20:08:54 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libpython3-dev,
                python3,
                python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.pronterface.com
 Vcs-Git: https://salsa.debian.org/3dprinting-team/printrun.git
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/printrun

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,13 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_build:
+# Generate .mo files from .po files
+	for file in locale/*/LC_MESSAGES/*.po; do \
+		msgfmt -o $${file%.po}.mo $$file; \
+	done
+	dh_auto_build
 
 override_dh_auto_install:
 	dh_auto_install
@@ -12,12 +19,10 @@
 	mv debian/tmp/usr/bin/pronterface.py debian/tmp/usr/bin/pronterface
 	mv debian/tmp/usr/bin/pronsole.py debian/tmp/usr/bin/pronsole
 	mv debian/tmp/usr/bin/plater.py debian/tmp/usr/bin/plater
-# Delete empty ar translation folder
-	rm -rf debian/tmp/usr/share/pronterface/locale/ar
 
 override_dh_install:
 	dh_install --exclude='.pyc'
-# Move arch-dependent library from printrun-common
+# Remove arch-dependent library from printrun-common
 	rm -f debian/printrun-common/usr/lib/python*/dist-packages/printrun/*.so
 
 override_dh_installchangelogs:

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="uversionmangle=s%(\d{8})%0~$1%; s%rc%~rc%" \
    https://github.com/kliment/Printrun/tags \
    .*/printrun-@ANY_VERSION@\.tar\.gz debian

## printrun 2.2.0

=== requirements.txt ===
pyserial (>= 3.0)
pillow < 10.0; sys_platform == 'win32'
wxPython >= 4.2.0
numpy (>= 1.8.2)
pyglet >= 1.1, < 2.0
psutil (>= 2.1)
lxml (>= 2.9.1)
platformdirs
puremagic
dbus-python >= 1.2.0 ; sys_platform == 'linux'
pyobjc-framework-Cocoa ; sys_platform == 'darwin'
pyreadline3 ; sys_platform == 'win32'

=== debian/changelog ===
printrun (2.2.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version (Closes: #1067982, #1084669)

 -- Bastian Germann <bage@debian.org>  Tue, 26 Aug 2025 08:30:08 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                debhelper-compat (= 13),
                dh-python,
                libpython3-dev,
+               pybuild-plugin-pyproject,
                python3,
                python3-setuptools,
 Standards-Version: 4.6.2
@@ -59,7 +60,7 @@
 Architecture: all
 Depends: printcore (>= ${source:Version}),
          printrun-common (= ${source:Version}),
-         python3-appdirs,
+         python3-platformdirs,
          ${misc:Depends},
          ${python3:Depends},
 Recommends: slic3r,
